Package: mopidy
Version: 3.1.1-1
Severity: normal
Tags: patch
Dear Maintainer,
Also "exit 0" isn't needed. This code is added automatically by debhelper.
Here is a patch.
Christian
$ diff -u mopidy-orig.postrm mopidy.postrm
--- mopidy-orig.postrm 2021-08-04 17:28:51.282495988 +0200
+++ mopidy.postrm 2021-08-04 17:31:31.016613719 +0200
@@ -6,8 +6,10 @@
if [ "$1" = "purge" ]; then
rm -f /var/log/mopidy/mopidy.log*
rm -f /var/log/mopidy/mopidy-debug.log*
+
+ deluser --quiet --system mopidy > /dev/null || true
+
+ rm -rf /var/lib/mopidy
fi
#DEBHELPER#
-
-exit 0
-- System Information:
Debian Release: 11.0
APT prefers buildd-unstable
APT policy: (500, 'buildd-unstable'), (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386
Kernel: Linux 5.10.55-2 (SMP w/24 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE,
TAINT_UNSIGNED_MODULE
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)